Skip to content

Create an application

POST
/api/v1/applications
curl --request POST \
--url https://api.aletheia-ops.com/api/v1/applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "slug": "example", "description": "example", "criticality": "example", "lifecycle": "example" }'
Media typeapplication/json

Creates an application

object
name
required
string
slug
required
string
description
string
criticality
string
lifecycle
string
Examplegenerated
{
"name": "example",
"slug": "example",
"description": "example",
"criticality": "example",
"lifecycle": "example"
}

Created

Media typeapplication/json

Public shape of an application

object
id
string
organization_id
string
name
string
slug
string
description
string
criticality
string
lifecycle
string
source
string
created_by
string
created_at
string format: date-time
updated_at
string format: date-time
archived_at
string format: date-time
Examplegenerated
{
"id": "example",
"organization_id": "example",
"name": "example",
"slug": "example",
"description": "example",
"criticality": "example",
"lifecycle": "example",
"source": "example",
"created_by": "example",
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z",
"archived_at": "2026-04-15T12:00:00Z"
}

The request is malformed or fails validation.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
{
"code": "validation_failed",
"message": "name: must not be blank"
}

No valid credential was presented, or it has expired.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
{
"code": "unauthorized",
"message": "authentication required"
}

Authenticated, but not permitted to perform this action.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
{
"code": "forbidden",
"message": "you do not have permission to perform this action"
}

The request conflicts with the current state.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
{
"code": "email_taken",
"message": "an account with this email already exists"
}

An unexpected failure. Diagnostic detail is logged server-side and deliberately not returned. Quote the X-Request-Id response header when reporting one.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
Exampleinternal_error
{
"code": "internal_error",
"message": "internal server error"
}